libzypp: zypp::base::LogControl::TmpLineWriter Struct Reference

libzypp 17.36.6

Public Member Functions | Private Attributes | List of all members
zypp::base::LogControl::TmpLineWriter Struct Reference

Exchange LineWriter for the lifetime of this object. More...

`#include <zypp-core/base/LogControl.h>`

## Public Member Functions
| TmpLineWriter (const shared_ptr< LineWriter > &writer_r=shared_ptr< LineWriter >())
template<class TLineWriter>
| TmpLineWriter (TLineWriter *_allocated_r)
| Convenience ctor taking over ownership of an allocated LineWriter.
| ~TmpLineWriter ()

## Private Attributes
shared_ptr< LineWriter > | _writer

## Detailed Description

Exchange LineWriter for the lifetime of this object.

See also
  log::LineWriter

Definition at line 190 of file LogControl.h.

## Constructor & Destructor Documentation

## ◆ TmpLineWriter() [1/2]

zypp::base::LogControl::TmpLineWriter::TmpLineWriter | ( | const shared_ptr< LineWriter > & | writer_r = shared_ptr<LineWriter>() | ) |
| inline

Definition at line 192 of file LogControl.h.

## ◆ TmpLineWriter() [2/2]

template<class TLineWriter>

zypp::base::LogControl::TmpLineWriter::TmpLineWriter | ( | TLineWriter * | _allocated_r | ) |
| inline

Convenience ctor taking over ownership of an allocated LineWriter.

TmpLineWriter mylw( new log::StderrLineWriter );
zypp::base::LogControl::TmpLineWriter::TmpLineWriter
TmpLineWriter(const shared_ptr< LineWriter > &writer_r=shared_ptr< LineWriter >())
Definition LogControl.h:192
zypp::log::StderrLineWriter
LineWriter to stderr.
Definition LogControl.h:64

Definition at line 202 of file LogControl.h.

## ◆ ~TmpLineWriter()

zypp::base::LogControl::TmpLineWriter::~TmpLineWriter | ( |  | ) |
| inline

Definition at line 206 of file LogControl.h.

## Member Data Documentation

## ◆ _writer

shared_ptr<LineWriter> zypp::base::LogControl::TmpLineWriter::_writer
| private

Definition at line 210 of file LogControl.h.

The documentation for this struct was generated from the following file:

- zypp-core/base/LogControl.h